Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class InfoIndex

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Proc
              org.basex.core.proc.AInfo
                  org.basex.core.proc.InfoIndex

    public final class InfoIndex

extends AInfo

Evaluates the 'info index' command and returns information on the indexes of the currently opened database.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Proc
`DATAREF, flags, STANDARD`

Constructor Summary
`InfoIndex()` Default constructor.
`InfoIndex(Object type)` Default constructor.

Method Summary
`String` | `toString()` Returns a string representation of the process.

Methods inherited from class org.basex.core.proc.AInfo
`flag`

Methods inherited from class org.basex.core.Proc
`exec, exec, execute, execute, info, result, updating`

Methods inherited from class org.basex.core.Progress
`abort, checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfoIndex

    public InfoIndex()

  Default constructor.

### InfoIndex

    public InfoIndex(Object type)

  Default constructor.

  Parameters:
    `type` - optional index type, defined in `Commands.CmdIndexInfo`

Method Detail

### toString

    public String toString()

  Description copied from class: `Proc`
  Returns a string representation of the process. In the client/server architecture, this string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Proc`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD